player_actarray_current_cmd Struct Reference

Command: Joint current control (PLAYER_ACTARRAY_CMD_CURRENT) More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | joint
| The joint/actuator to command - set to -1 to command all. More...
float | current
| The current to move with. More...

## Detailed Description

Command: Joint current control (PLAYER_ACTARRAY_CMD_CURRENT)

Tells a joint/actuator to attempt to move with the given current.

## Member Data Documentation

float player_actarray_current_cmd::current

The current to move with.

int32_t player_actarray_current_cmd::joint

The joint/actuator to command - set to -1 to command all.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45